/* Light background: #3 5 3 6 2 9; */
/* New light dark background #3 2 3 6 3 d */
/* Dark background: #d f e 5 f 2; */

/* TOP MENU */
.sm-dox {
	background: #dfe5f2 !important;
}

.sm-dox a {
	background: none;
}

body {
	background: black;
	background-image: none;
	color: #D8D8D8;
}

div.fragment, pre.fragment {
	border: 1px solid #000000;
	background: #32363d;
}

a, a:link, a:visited {
	color: #1cbfff;
}

a.code.hl_struct {
    color: #d7d7d7;
}

.highlighted {
	background: none !important;
}

a.highlighted {
	background: none !important;
}



div#titlearea {
	background-color: #303f68;
}

.classindex dl.odd {
	background-color: black;
}

.classindex dl.even {
	background-color: #32363d;
}

#projectname {
	color: #1cbfff;
}

#projectbrief {
	color: white;
	font-variant: small-caps !important;
}

.contents a:visited {
	color: #0054f7 !important;
}

.alphachar > a {
	color: #AEA70E;
}

dl.note dt {
    background-color: #001d3b;
	
}

dl.note dd {
	border-color: black !important;
}

dl.note dd {
	background-color: #516f94;
	color: white;
}

dt {
	color: white;
}

.params, dl.section, .memdoc  {
	padding: 8px;
}

.memdoc > .fieldtable {
	background-color: #516f94;
}

/*********************************************/
/**              Top main menu              **/
/*********************************************/
#main-nav {
	/* display: none; */
	background-color: #224466;
	border-top: 1px solid black;
	border-bottom: 1px solid black;
}

#main-nav .sm-dox {

}

.sm-dox a {
	text-shadow: none !important;
	background: transparent !important;
}

.sm-dox a:hover {
	background: #282923 !important;
}

.sm-dox {
	text-shadow: none !important;
	box-shadow: none !important;
}

.sm-dox ul {
	border: 1px solid #000000;
	background: #32363d;
}

.directory tr.even {
	background: #32363d;
}


/*********************************************/
/**               Top search                **/
/*********************************************/
#MSearchSelectWindow {
	border: 1px solid #000000;
	background: #32363d;
}

a.selectItem {
	padding: 3px;
}

a.SelectItem:hover {
	background: #282923 !important;
}

#MSearchResultsWindow {
	border: 1px solid #000000;
	background: #32363d;
	color: #67d8ef !important;;
}

/*********************************************/
/**                Main menu                **/
/*********************************************/
#nav-tree {
	background: #32363d;
}

#nav-tree .selected {
	background-image: none;
	background: #32363d;
	overflow-x: hidden;
}

.ui-resizable-handle {
	overflow-y: hidden;
	height: Calc(100vh - 172px);
	margin-top: -8px;
}
/*********************************************/
/**               Main content              **/
/*********************************************/

/*********************************************/
/**               Inline code               **/
/*********************************************/
p code,
li code,
td code,
dd code {
	background-color: #000000;
	border: 1px solid #A8B8D9;

	color: #D8D8D8;
}

/*********************************************/
/**         Table of Contents (ToC)         **/
/*********************************************/
div.toc {
	background: #32363d;
	border: 1px solid #000000;
}

div.toc h3 {
	font-size: 150%;
	color: inherit;
}

/*********************************************/
/**              Content table              **/
/*********************************************/
table.doxtable tr:nth-child(even) td {
	background: #32363d;
}

div.header {
	background: transparent;
	border-bottom: 1px solid #32363d;
}

/*********************************************/
/**               Field table               **/
/*********************************************/
.fieldtable th {
	background: #282923;
	color: inherit;
}

/*********************************************/
/**           Memitem and memtitle          **/
/*********************************************/
.memdoc {
	border: 1px solid #A8B8D9;
}

/*********************************************/
/**             TOP navigation              **/
/*********************************************/
.tabs, .tabs2, .tabs3 {
	background: #DDDDDD;
}

.tablist li {
	background: transparent !important;
}

.tablist a {
	background-image: none;
	border-right: 1px solid #999999;

	color: #32363d;
}

.tablist a:hover,
.tablist li.current a {
	text-decoration: none;
	color: #000000;
	background: #CCCCCC;
	background-image: none;
}

/*********************************************/
/**              H1 in textblocks           **/
/*********************************************/

/*********************************************/
/**               Note, warning             **/
/*********************************************/

/*********************************************/
/**               Reference list            **/
/**Similar to warning/note/todo/... messages**/
/*********************************************/
dl.reflist {

}


/*********************************************/
/**               Note, warning             **/
/*********************************************/
#docs_list {
	background: #32363d;
}

#docs_list ul li {
	border-right: 1px solid #BFBFBF;
}

#docs_list ul li a {
	color: #1b1e21;
}

#docs_list ul li a:hover,
#docs_list ul li a.docs_current {
	background: #282923;
}

/*********************************************/
/**               Resizable UI              **/
/*********************************************/
.ui-resizable-e {
	background: #32363d;
}

/*********************************************/
/**               Download url              **/
/*********************************************/

/*********************************************/
/**               Syntax folor              **/
/*********************************************/
div.line {
	background: transparent;
	color: #d7d7d7;
}

div.line a {
	color: inherit;
}

span.keyword {
	color: #55ff00;;
	font-style: italic;
}

span.keywordtype {
	color: #ff4a4a;
	font-style: italic;
}

span.keywordflow {
	color: #55ff00;
	font-style: italic;
}

span.comment {
	color: #74705a;
}

span.preprocessor {
	color: #20abff;
}

span.stringliteral {
	color: #e7db74;
}

span.charliteral {
	color: #e7db74;
}

span.vhdldigit { 
	color: #ff00ff;
}

span.vhdlchar { 
	color: #000000;
}

span.vhdlkeyword { 
	color: #700070;
}

span.vhdllogic { 
	color: #ff0000;
}

span.lineno {
	background: transparent;
	color: #819ca7;
	border-right: 2px solid #646464;
}

span.lineno a {
	background: transparent;
}

/*********************************************/
/**          Modules/Directory table        **/
/*********************************************/
.mdescLeft, .mdescRight, .memItemLeft, .memItemRight,
.memTemplItemLeft, .memTemplItemRight, .memTemplParams {
	background: #32363d;
	color: inherit;
}

.memtemplate {
	color: #B4CCF9;
}

.memSeparator {
	border: none;
	background: transparent;
}

h2.groupheader {
	color: #67d8ef;
}

/*********************************************/
/**                 Mem items               **/
/*********************************************/
.memtitle {
	background: #32363d !important;
	border-color: #000000;
}

.memitem {
	background: #32363d !important;
	color: inherit;
	text-shadow: none;
}

.memproto {
	background: inherit;
	border-color: #000000;
	color: inherit;
	text-shadow: none;
}

.memproto table td {
	font-family: monospace, fixed !important;
}

td.memItemLeft, td.memItemRight {
	font-family: monospace, fixed;
}

.paramname, .paramname em {
	color: #bf5f82;
}

.memdoc {
	background: inherit;
	border-color: #000000;
}


/*********************************************/
/**                 Footer                  **/
/*********************************************/
.titlearea {
	border-bottom: 1px solid #32363d;
}

/*********************************************/
/**                 Footer                  **/
/*********************************************/
#nav-path {
	background-color: #224466;
	z-index: 9999;
}

#nav-path ul {
	background: transparent;
	color: inherit;
	border: none;
	border-top: 1px solid #32363d;
}

.navpath li.footer {
	color: inherit;
}

.navpath li.navelem a {
	text-shadow: none;
}

/*********************************************/
/**             Custom scrollbar            **/
/*********************************************/
::-webkit-scrollbar {
	width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
	border-radius: 10px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
	background: #224466;
	border: none;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #32363d; 
}

/*********************************************/
/**             Custom scrollbar            **/
/*********************************************/
h1.glow, h2.glow, h3.glow,
h4.glow, h5.glow, h6.glow {
	text-shadow: 0 0 15px #67d8ef;
}